API Reference
Session
2 endpoints under /api/session
- post
/api/session/{session_id}/send-notification - post
/api/session/from-thread/{thread_id}/send-notification
post
/api/session/{session_id}/send-notification๐ API keySETTINGS_WRITE
Send Notification
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
session_id | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
message | string | yes | |
type | "info" | "success" | "warning" | "error" | null | โ |
Responses
- 200Successful Response
object
post
/api/session/from-thread/{thread_id}/send-notification๐ API keySETTINGS_WRITE
Send Notification From Thread
Path parameters
| Field | Type | Required | Description |
|---|---|---|---|
thread_id | string | yes |
Request body
| Field | Type | Required | Description |
|---|---|---|---|
message | string | yes | |
type | "info" | "success" | "warning" | "error" | null | โ |
Responses
- 200Successful Response
object